cutlass::VectorTraits< Vector< T, Lanes > > Struct Template Reference

Partial specialization for actual cutlass::Vector.

`#include <vector.h>`

## Public Types

typedef T | Scalar
| Scalar type. More...
typedef Vector< T, Lanes > | Vector
| Type that is always a Vector. More...

## Static Public Attributes

static int const | kLanes = Lanes
| Number of lanes of vector. More...
static bool const | IsVector = true
| Type is actually a cutlass::Vector. More...

## Member Typedef Documentation

## Scalar

template<typename T , int Lanes>

typedef T cutlass::VectorTraits< Vector< T, Lanes > >::Scalar

## Vector

template<typename T , int Lanes>

typedef Vector<T, Lanes> cutlass::VectorTraits< Vector< T, Lanes > >::Vector

## Member Data Documentation

## IsVector

template<typename T , int Lanes>

bool const cutlass::VectorTraits< Vector< T, Lanes > >::IsVector = true

static

## kLanes

template<typename T , int Lanes>

int const cutlass::VectorTraits< Vector< T, Lanes > >::kLanes = Lanes

static

The documentation for this struct was generated from the following file:

- vector.h